
Redmine - Defect #6929

new issue from email does not seem to populate DB issue fully

2010-11-18 00:06 - c s

Status: Closed Start date: 2010-11-17

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.3

Description

Hello,

I recently upgraded to 1.0.3, and now I get an error similar to this when and issue is entered via email   

http://www.redmine.org/issues/6785

From what I can tell, the rake command to skim new emails from an imap mailbox does not populate the root_id, lft, rgt columns on

insert.

the cronned rake command is

cd /var/tmp;  /path/to/rake --silent -f /path/to/redmine/Rakefile

redmine:email:receive_imap

RAILS_ENV="production"

host=XXXXXX

username=XXXXXX

password=XXXXXX

folder=XXXXXX

project=XXXXXX

tracker=XXXXXX

allow_override=tracker,priority

unknown_user=accept

no_permission_check=1

the result look something like this:

id               | 3983

tracker_id       | 3

project_id       | 31

subject          | test

description      | boom

due_date         | NULL

category_id      | NULL

status_id        | 1

assigned_to_id   | NULL

priority_id      | 4

fixed_version_id | NULL

author_id        | 2

lock_version     | 0

created_on       | 2010-11-17 15:22:11.630236

updated_on       | 2010-11-17 15:22:11.630236

start_date       | NULL

done_ratio       | 0

estimated_hours  | NULL

parent_id        | NULL

root_id          | NULL

lft              | NULL

rgt              | NULL

entering issues by hand does work, that is, root_id, lft, rgt are populated.

redmine 1.0.3

ruby 1.8.7
http://www.redmine.org/issues/6785


gem list:

fastercsv (1.2.3)

fastthread (1.0.7)

passenger (2.2.11)

pg (0.8.0)

rack (1.0.1)

rake (0.8.7)

sources (0.0.2)

postgres 8.2

no extra plugins installed.

Thanks.

Associated revisions

Revision 4416 - 2010-11-20 11:35 - Jean-Philippe Lang

Add assertions for #6929 in MailHandler tests.

History

#1 - 2010-11-18 19:40 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

#2 - 2010-11-20 11:26 - Jean-Philippe Lang

I can not reproduce. Can you attach the application log generated when receiving such an email with log level set to debug. Thanks.

#3 - 2010-11-24 16:11 - c s

- Status changed from New to Resolved

Crap, same problem as this #6744.

created a new folder for the upgrade, but the rake file was still pointing at the old one.

Sorry for wasting your time.

#4 - 2010-11-24 20:40 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

c s wrote:

Sorry for wasting your time.

 Those things happen, thanks for dropping a line about it here.
